| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SoListenerOrientationElement Class Reference
Element Classes

The SoListenerOrientationElement holds the orientation of the current listener.This orientation is set by SoListener nodes and SoCamera Nodes during audio rendering. When a SoListener is visited by the SoAudioRenderAction, it will add a new SoListenerOrientationElement to the state, holding it's orientation and with the setbylistener flag set. When a SoCamera is visited by SoAudioRenderAction, it will add a new SoListenerOrientationElement only if there are no previous elements with the setbylistener flag set. More...

`#include <Inventor/elements/SoListenerOrientationElement.h>`

Inheritance diagram for SoListenerOrientationElement:

## Public Member Functions

virtual void | init (SoState *state)
virtual void | print (FILE *file) const
| Prints the contents of the element (unimplemented)
Public Member Functions inherited from SoReplacedElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo () const
uint32_t | getNodeId () const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const SbRotation &orientation, SbBool setbylistener)
static const SbRotation & | get (SoState *const state)
| Returns the current listener orientation.
static SbBool | isSetByListener (SoState *const state)
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoListenerOrientationElement ()
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Protected Attributes

SbRotation | orientation
SbBool | setbylistener
Protected Attributes inherited from SoReplacedElement
uint32_t | nodeId
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth

## Additional Inherited Members

Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoListenerOrientationElement holds the orientation of the current listener.

This orientation is set by SoListener nodes and SoCamera Nodes during audio rendering. When a SoListener is visited by the SoAudioRenderAction, it will add a new SoListenerOrientationElement to the state, holding it's orientation and with the setbylistener flag set. When a SoCamera is visited by SoAudioRenderAction, it will add a new SoListenerOrientationElement only if there are no previous elements with the setbylistener flag set.

The SoListenerOrientationElement is used when the SoVRMLSound nodes render themselves.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

## Constructor & Destructor Documentation

SoListenerOrientationElement::~SoListenerOrientationElement | ( | void | ) |  |

protectedvirtual

The destructor.

## Member Function Documentation

void * SoListenerOrientationElement::createInstance | ( | void | ) |  |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoListenerOrientationElement::initClass | ( | void | ) |  |

static

This static method initializes static data for the SoListenerOrientationElement class.

void SoListenerOrientationElement::init | ( | SoState * | state) |  |

virtual

Initializes the element to it's default value. The default value for the orientation is (0.0f, 0.0f, 1.0f, 0.0f) and the default value for the setByListener flag is FALSE.

Reimplemented from SoReplacedElement.

void SoListenerOrientationElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const SbRotation & | orientation,
|  | SbBool | setbylistener
| ) |  |

static

Sets the current listener orientation, and indicates if it was set by a SoListener node or a SoCamera node.

SbBool SoListenerOrientationElement::isSetByListener | ( | SoState *const | state) |  |

static

Returns TRUE if the orientation was set by a SoListener node, and FALSE if it was set by a SoCamera node

## Member Data Documentation

SoListenerOrientationElement::orientation

protected

The orientation of the listener. Can be set by the SoListener class or the SoCamera class.

The documentation for this class was generated from the following files:

- SoListenerOrientationElement.h
- SoListenerOrientationElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.